# -*- perl -*-
#
# Copyright (C) 1996 Ken MacLeod
# See the file COPYING for distribution terms.
#

$test = {};
$tests->{'sroff'}{'results'}{'html'} = $test;
$test->{'output_type'} = "HTML";
$test->{'check'} = sub {
    my ($segment);

    if (!$::test_html) {
	system ">check-out";
	return;
    }

    open (SGMLS, "| $Text::GDO::NSGMLS -s >check-out 2>&1")
	|| die "$::prog: can't open pipe to \`$Text::GDO::NSGMLS', $!\n";
    print SGMLS <<'EOF';
<!DOCTYPE html PUBLIC "-//IETF//DTD HTML 2.0//EN">
<HTML>
  <HEAD>
    <TITLE></TITLE>
  </HEAD>
  <BODY>
EOF

    print SGMLS $segment;

    print SGMLS <<'EOF';
  </BODY>
</HTML>
EOF
    close SGMLS;
};

######################################################################
$test->{'expected'}{"dummy"} = <<'EOTEST';
EOTEST

######################################################################
$test->{'expected'}{"medium-paragraph"} = <<'EOTEST';
<P>GDO's design uses sgmls to validate and parse the
document instance (doesn't everybody :-), it then maps document
entities to generalized entities that are implemented as
object-methods.  A stack (single-line hierarchy) of object classes
implements the methods, with the base-class being most general, and
subsequent classes providing more detailed processing.  The SROFF
example above looks like this internally:</P>
EOTEST

######################################################################
$test->{'expected'}{"sections-titles"} = <<'EOTEST';

<H1>1  Section One</H1>

<H2>1.1  Section One.One</H2>

<H3>1.1.1  Section One.One.One</H3>

<H3>1.1.2  Section One.One.Two</H3>

<H2>1.2  Section One.Two</H2>

<H1>2  Section Two</H1>

<H2>2.1  Section Two.One</H2>
EOTEST

######################################################################
$test->{'expected'}{"title-page"} = <<'EOTEST';
<H1>Test Title</H1>
<H2>Test SubTitle</H2>
<H4>Test Date</H4>
<P><B>Test Author</B><BR>
</P>
<H4><I>ABSTRACT</I></H4>
<BLOCKQUOTE>
<P>Test Abstract</P>
</BLOCKQUOTE>
<P>Test Copyright</P>
<P>Test Extra</P>
EOTEST

######################################################################
$test->{'expected'}{"variable-list"} = <<'EOTEST';
<DL>
<DT>term1a</DT>
<DT>term1b</DT>
<DD>Without PAR tag.
</DD>
<DT>term2</DT>
<DD>With PAR tag, first paragraph.
<P>Second paragraph.</DD>
</DL>
EOTEST

######################################################################
$test->{'expected'}{"url"} = <<'EOTEST';
<P><A HREF="http://bitsko.slc.ut.us/">Home of GDO</A></P>
EOTEST

######################################################################
$test->{'expected'}{"links"} = <<'EOTEST';

<H1><A NAME="sect1">1  Section One</A></H1>

<H2><A NAME="sect11">1.1  Section One.One</A></H2>

<H3><A NAME="sect111">1.1.1  Section One.One.One</A></H3>
<P>This links to <A HREF="#sect12">Section 1.2, <I>Section One.Two</I></A>.</P>

<H3><A NAME="sect112">1.1.2  Section One.One.Two</A></H3>
<P>This links to <A HREF="#sect1">Section 1, <I>Section One</I></A>.</P>

<H2><A NAME="sect12">1.2  Section One.Two</A></H2>
EOTEST

######################################################################
$test->{'expected'}{"block-in-paragraph"} = <<'EOTEST';
<P>GDO's design uses sgmls to validate and parse the
document instance (doesn't everybody :-), it then maps document
entities to generalized entities that are implemented as
object-methods.  A stack (single-line hierarchy) of object classes
implements the methods, with the base-class being most general, and
subsequent classes providing more detailed processing.  The SROFF
example above looks like this internally:
    </P>
<PRE>Line 1
Line 2</PRE>
EOTEST

######################################################################
$test->{'expected'}{"quoting"} = <<'EOTEST';
<PRE>some data
      <SAMP>quoted data</SAMP>
    </PRE>
<PRE>more data
      <SAMP>more quoted data</SAMP>
    </PRE>
EOTEST

######################################################################
$test->{'will_fail'}{"noadjust"} = 1;
$test->{'expected'}{"noadjust"} = <<'EOTEST';
Should be properly indented, but not in <PRE>'s fixed-width font
EOTEST

1;
